osl::move_action::NoAddEffectFilter< OrigAction > Class Template Reference

指定したSquareに利きをつける手をフィルタ More...

`#include <move_action.h>`

## Public Member Functions

| NoAddEffectFilter (const NumEffectState &s, OrigAction &action, Square target)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p, Move m)
void | unknownMove (Square from, Square to, Piece p1, Ptype ptype, bool isPromote, Player p, Move m)
void | dropMove (Square to, Ptype ptype, Player p, Move m)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Private Attributes

const NumEffectState & | state
OrigAction & | action
Square | target

## Detailed Description

template<class OrigAction>
class osl::move_action::NoAddEffectFilter< OrigAction >

指定したSquareに利きをつける手をフィルタ

Definition at line 117 of file move_action.h.

## Constructor & Destructor Documentation

## NoAddEffectFilter()

template<class OrigAction>

osl::move_action::NoAddEffectFilter< OrigAction >::NoAddEffectFilter | ( | const NumEffectState & | s,
|  | OrigAction & | action,
|  | Square | target )

inline

Definition at line 123 of file move_action.h.

References action, state, and target.

## Member Function Documentation

## dropMove() [1/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p )

inline

Definition at line 149 of file move_action.h.

References dropMove().

## dropMove() [2/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p,
|  | Move | m )

inline

Definition at line 132 of file move_action.h.

References action, osl::newPtypeO(), state, and target.

Referenced by dropMove().

## simpleMove() [1/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 137 of file move_action.h.

References osl::PTYPE_EMPTY, and simpleMove().

## simpleMove() [2/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m )

inline

Definition at line 124 of file move_action.h.

References action, osl::newPtypeO(), state, and target.

Referenced by simpleMove().

## unknownMove() [1/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 143 of file move_action.h.

References osl::captured(), and unknownMove().

## unknownMove() [2/2]

template<class OrigAction>

void osl::move_action::NoAddEffectFilter< OrigAction >::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | p1,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p,
|  | Move | m )

inline

Definition at line 128 of file move_action.h.

References action, osl::newPtypeO(), state, and target.

Referenced by unknownMove().

## Member Data Documentation

## action

template<class OrigAction>

OrigAction& osl::move_action::NoAddEffectFilter< OrigAction >::action

private

Definition at line 120 of file move_action.h.

Referenced by dropMove(), NoAddEffectFilter(), simpleMove(), and unknownMove().

## state

template<class OrigAction>

const NumEffectState& osl::move_action::NoAddEffectFilter< OrigAction >::state

private

Definition at line 119 of file move_action.h.

Referenced by dropMove(), NoAddEffectFilter(), simpleMove(), and unknownMove().

## target

template<class OrigAction>

Square osl::move_action::NoAddEffectFilter< OrigAction >::target

private

Definition at line 121 of file move_action.h.

Referenced by dropMove(), NoAddEffectFilter(), simpleMove(), and unknownMove().

The documentation for this class was generated from the following file:

- move_action.h